Bug 1433252 (CVE-2017-6951) - CVE-2017-6951 kernel: NULL pointer dereference in keyring_search_aux function
Summary: CVE-2017-6951 kernel: NULL pointer dereference in keyring_search_aux function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-6951
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170303,repor...
Depends On: 1490917 1439264 1471601 1471602 1471603 1471604 1471605 1471606 1471607 1476140 1476141 1476142
Blocks: 1433253
TreeView+ depends on / blocked
 
Reported: 2017-03-17 08:09 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The keyring_search_aux function in security/keys/keyring.c in the Linux kernel allows local users to cause a denial of service via a request_key system call for the "dead" key type.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:09:06 UTC


Attachments (Terms of Use)
Fix to rename the 'dead' type to '.dead' to make syscalls reject the name (1.40 KB, patch)
2017-04-05 08:05 UTC, David Howells
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC
Red Hat Product Errata RHSA-2017:2669 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-09-07 00:36:52 UTC

Description Andrej Nemec 2017-03-17 08:09:55 UTC
The keyring_search_aux function in security/keys/keyring.c in the Linux kernel allows local users to cause a denial of service (NULL pointer dereference and OOPS) via a request_key system call for the "dead" type.

References:

http://www.spinics.net/lists/keyrings/msg01846.html

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c06cfb08b88d

Comment 1 David Howells 2017-04-05 08:05:17 UTC
Created attachment 1268882 [details]
Fix to rename the 'dead' type to '.dead' to make syscalls reject the name

Comment 4 Wade Mealing 2017-07-17 04:24:11 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1471601]

Comment 6 Wade Mealing 2017-07-17 05:56:01 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2.

Future Linux kernel updates for the respective releases may address this issue.

Comment 9 Justin M. Forbes 2017-07-17 14:06:52 UTC
This was fixed upstream in 4.11 kernels, and backported to 4.10.13 stable series. The fix was pushed to all Fedora releases with 4.10.13 on 2017-05-04.

Comment 11 errata-xmlrpc 2017-08-01 19:14:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 12 errata-xmlrpc 2017-08-02 07:54:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 13 errata-xmlrpc 2017-09-06 20:40:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669


Note You need to log in before you can comment on or make changes to this bug.